/* Main page styles */

.skip {
  z-index: -100;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
}

/**
 * =======================================
 * Buttons
 * =======================================
 */

.icon {
  transition: all 0.3s ease-in-out;
}

.btn-container {
  position: relative;
}

.btn-container.btn-left {
  margin-right: auto;
}

.btn-container .shadow {
  position: absolute;
  z-index: 0;
  width: 100%;
  height: 100%;
  border-radius: 6rem;
  box-shadow:
    0px 0px var(--dark-coffee),
    0px 1px var(--dark-coffee),
    0px 2px var(--dark-coffee),
    0px 3px var(--dark-coffee),
    0px 4px var(--dark-coffee),
    0px 5px var(--dark-coffee),
    0px 6px var(--dark-coffee);
}

.btn {
  z-index: 1;
  width: 100%;
  font-family: var(--font-body);
  font-weight: 600;
  font-size: 1rem;
  padding: 0.5rem 1rem 0.5rem 1.5rem;
  border: 2px solid var(--dark-coffee);
  border-radius: 6rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
  cursor: pointer;
  transform: translateY(3px);
  transition: all 0.1s ease-in-out;
}

.btn:hover, .btn:focus {
  transform: translateY(0px);
}

.btn:active {
  transform: translateY(6px);
}

.btn > .icon {
  width: 1.25rem;
  height: 1.25rem;
}

.btn-lg {
  font-size: 1.25rem;
  padding: 0.75rem 1.5rem 0.75rem 1.5rem;
  gap: 0.75rem;
}

.btn-lg > .icon {
  width: 1.35rem;
  height: 1.35rem;
}

.btn-sm {
  font-size: 1rem;
  padding: 0.5rem 1rem 0.5rem 1.5rem;
  gap: 0.75rem;
}

.btn-sm > .icon {
  width: 1.25rem;
  height: 1.25rem;
}

.btn-primary {
  background-color: var(--dark-teal);
  color: var(--white);
}

.btn-primary > .icon {
  stroke: var(--white);
}

.btn-secondary {
  background-color: var(--sandy-clay);
  color: var(--black);
}

.btn-secondary > .icon {
  stroke: var(--black);
}

.icon-btn {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 2.75rem;
  height: 2.75rem;
  background: none;
  border: none;
  cursor: pointer;
}

.icon-btn::before {
  z-index: -1;
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  transform: rotate(-45deg);
  transition: all 0.3s ease-in-out;
}

.icon-btn-primary::before {
  background-color: var(--brandy);
}

.icon-btn-secondary::before {
  background-color: var(--dark-teal);
}

.icon-btn-tertiary::before {
  background-color: var(--faded-copper);
}

.icon-btn > .icon {
  stroke: var(--parchment);
  width: 1.5rem;
  height: 1.5rem;
}

.icon-btn > .icon-fill {
  stroke: none !important;
  fill: var(--white);
}

/**
 * =======================================
 * Text and headings
 * =======================================
 */

h2, .h2 {
  color: var(--dark-teal);
  font-weight: 400;
  line-height: 1;
}

h3 {
  color: var(--brandy);
}

h2::after, .h2::after, h3::after {
  content: ".";
  color: var(--sandy-clay);
}

h4 {
  color: var(--dark-teal);
}

.question::after {
  content: "?";
  color: var(--sandy-clay);
}

.exclamation::after {
  content: "!";
  color: var(--sandy-clay);
}

.link {
  color: var(--brandy);
  text-decoration: underline;
}

.link:hover, .link:focus {
  color: var(--faded-copper);
}

/**
 * =======================================
 * Images
 * =======================================
 */

.img-zoom {
  transition: all 0.3s ease-in-out;
}

.img-zoom:hover {
  transform: scale(1.015);
}

/**
 * =======================================
 * Apply section
 * =======================================
 */

#apply {
  position: relative;
  width: 100vw;
  min-height: 100vh;
  overflow: hidden;
}

#apply.start .apply-intro-text {
  opacity: 0;
}

#apply.start .apply-intro-img-container {
  opacity: 0;
}

#apply.start #apply-form {
  display: flex;
}

.logo-container {
  position: fixed;
  z-index: 80;
  top: 1.5rem;
  left: 0;
  right: 0;
  padding-top: 0.5rem;
  padding-left: 1rem;
  padding-bottom: 0.75rem;
}

#apply-logo.show-bg {
  background-color: var(--parchment);
}

.logo-link {
  margin-right: auto;
}

.logo {
  width: auto;
  height: 1.25rem;
  margin-right: auto;
}

#apply-skeleton {
  position: absolute;
  z-index: 150;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  background-color: var(--parchment);
  opacity: 1;
  padding: 2rem;
}

#apply-skeleton.hide {
  opacity: 0;
}

.skeleton-logo {
  width: auto;
  height: 1.5rem;
  margin-top: auto;
}

#skeleton-text {
  font-family: var(--font-body);
  font-size: 1.25rem;
  color: var(--black);
  margin-top: auto;
}

.skeleton-diamond-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 0.75rem;
}

@keyframes diamond-spin {
  from { transform: rotate(0deg); }
  to   { transform: rotate(360deg); }
}

.skeleton-diamond {
  width: 1rem;
  aspect-ratio: 1;
  animation: diamond-spin 4s linear 0s infinite forwards;
}

.skeleton-diamond:first-child {
  background-color: var(--dark-coffee);
}

.skeleton-diamond:nth-child(2) {
  background-color: var(--brandy);
}

.skeleton-diamond:nth-child(3) {
  background-color: var(--faded-copper);
}

.skeleton-diamond:last-child {
  background-color: var(--dark-teal);
}

#apply-intro {
  position: relative;
  z-index: 50;
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  background: none;
}

.apply-success, .apply-error {
  display: none;
}

#apply.success .apply-success, #apply.error .apply-error {
  display: flex;
}

#apply-intro.hide, #apply.success .apply-default, #apply.error .apply-default {
  display: none;
}

.apply-intro-text {
  width: 100%;
  opacity: 1;
  transition: opacity 0.5s ease, transform 1s ease;
}

.apply-intro-text-inner {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;
  padding: 1.5rem 1rem;
}

.apply-title {
  margin-top: 3.5rem;
}

.apply-subtitle {
  font-family: var(--font-body);
  font-size: 1.125rem;
  line-height: 1.2;
}

.apply-intro-img-container {
  width: 100%;
  height: 100%;
  transition: all 1s ease;
}

.apply-intro-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.apply-time {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.5rem;
  color: var(--brandy);
  font-family: var(--font-body);
  font-size: 1rem;
  margin-top: 0.25rem;
}

.apply-time > .icon {
  width: 1.125rem;
  height: 1.125rem;
}

.apply-btn-container {
  display: none;
}

.apply-btn-container.apply-start-btn {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

.apply-key {
  margin-top: 6px;
  font-family: var(--font-body);
  font-size: 0.9rem;
  color: var(--black);
}

.apply-key .kbd {
  font-weight: 600;
}

.apply-key .icon {
  width: 1rem;
  height: 1rem;
  margin-bottom: -0.125rem;
}

#apply-form {
  position: relative;
  z-index: 20;
  width: 100vw;
  height: 100vh;
  line-height: 1;
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  padding: 2rem 1rem;
}

#apply-progress {
  z-index: 100;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
  gap: 0.2rem;
  padding: 0.75rem 1rem;
  background-color: var(--parchment);
  transform: translateY(-1.5rem);
  opacity: 0;
}

.progress-bar {
  display: flex;
  height: 0.3rem;
  margin: 0.1rem 0;
  border-radius: 99rem;
}

#progress-complete {
  width: 0%;
  background-color: var(--sandy-clay);
}

#progress-incomplete {
  background-color: var(--sandy-clay-a60);
  flex-grow: 1;
}

#apply-controls {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.2rem;
  transform: translateY(1.5rem);
  opacity: 0;
  background-color: var(--parchment);
}

#apply-progress.show, #apply-controls.show {
  transform: translateY(0);
  opacity: 1;
}

.apply-control-btns {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 0.375rem;
  color: var(--black);
}

.control-lg {
  display: none;
}

.apply-control-btns .btn {
  width: 3rem;
  height: 3rem;
  padding: 0;
}

.apply-control-btns .next-btn {
  flex-grow: 1;
}

.apply-control-btns .next-btn > .btn {
  width: 100%;
}

.apply-control-btns .btn > .icon {
  width: 2rem;
  height: 1.675rem;
}

.apply-control-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--sandy-clay);
  border: none;
  outline: none;
  width: 2.25rem;
  height: 2.25rem;
  cursor: pointer;
}

.apply-control-btn:first-child {
  border-top-left-radius: 99rem;
  border-bottom-left-radius: 99rem;
}

.apply-control-btn:last-child {
  border-top-right-radius: 99rem;
  border-bottom-right-radius: 99rem;
}

.apply-control-btn:hover, .apply-control-btn:focus {
  transform: scale(1.1);
}

.apply-control-btn > .icon {
  width: 1.5rem;
  height: 1.5rem;
}

.apply-powered-by {
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-body);
  font-size: 0.75rem;
  color: var(--black);
}

.apply-control-btn:hover, .apply-control-btn:focus,
.apply-powered-by:hover, .apply-powered-by:focus {
  background-color: var(--sandy-clay-ad0);
}

.apply-step {
  position: absolute;
  display: none;
  flex-direction: column;
  gap: 2rem;
  width: 100vw;
  padding: 1rem 1rem 4rem 1rem;
}

.apply-question {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: baseline;
  gap: 1rem;
}

.question-number {
  background-color: var(--dark-teal);
  color: var(--parchment);
  display: flex;
  align-items: center;
  justify-content: center;
  font-family: var(--font-heading);
  font-size: 0.8rem;
  padding: 0.55rem;
  height: 1.75rem;
  border-radius: 0.5rem 0.25rem 0.5rem 0.25rem;
}

.question-text {
  font-family: var(--font-body);
  font-size: 1.25rem;
  color: var(--black-ad0);
  line-height: 1.2;
}

.question-text > a {
  color: var(--brandy);
  text-decoration: underline;
}

.question-col {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
}

.question-subtext {
  font-size: 1rem;
}

.question-error {
  display: none;
  font-family: var(--font-body);
  font-size: 1.1rem;
  margin-top: -0.5rem;
  color: var(--dark-coffee);
}

.apply-step.error .question-error {
  display: flex;
}

.apply-input {
  font-family: var(--font-body);
  font-size: 1.25rem;
  padding: 0.5rem 0;
  background: none;
  border: none;
  outline: none;
  border-bottom: 1px solid var(--dark-teal-a30);
  transition-delay: 0.2s;
}

.apply-input:hover {
  border-bottom: 1px solid var(--dark-teal);
}

.apply-input:focus {
  border-bottom: 1px solid var(--dark-teal);
  box-shadow: 0 1px 0 0 var(--dark-teal);
}

.apply-textarea {
  font-size: 1.25rem;
  padding: 0.75rem;
  border: 1px solid var(--dark-teal-a30);
  border-radius: 0.5rem;
}

.apply-textarea:hover {
  border: 1px solid var(--dark-teal);
}

.apply-textarea:focus {
  border: 1px solid var(--dark-teal);
  box-shadow:
    0 1px 0 0 var(--dark-teal),
    0 -1px 0 0 var(--dark-teal),
    1px 0 0 0 var(--dark-teal),
    -1px 0 0 0 var(--dark-teal);
}

.apply-fieldset {
  display: flex;
  flex-direction: column;
  gap: 0.675rem;
  border: none;
  transition-delay: 0.2s;
}

.option-group {
  display: flex;
  flex-direction: column;
  gap: 0.675rem;
}

.option-btn {
  display: flex;
  flex-direction: row;
  align-items: center;
  text-align: left;
  padding: 0 0.75rem;
  height: 3.5rem;
  background-color: var(--sandy-clay-a00);
  border: 1px solid var(--sandy-clay);
  outline: 1px solid var(--sandy-clay-a00);
  border-radius: 99rem;
  gap: 0.75rem;
  font-family: var(--font-body);
  font-size: 1rem;
  cursor: pointer;
}

.option-btn:hover, .option-btn:focus {
  transform: scale(1.025);
  border: 1px solid var(--faded-copper);
  outline: 1px solid var(--faded-copper);
}

.option-btn.selected {
  background-color: var(--sandy-clay-a40);
  border: 1px solid var(--faded-copper);
  outline: 1px solid var(--faded-copper);
}

.option-letter {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  font-weight: 700;
  font-size: 0.9rem;
  width: 1.75rem;
  height: 1.75rem;
  background-color: var(--sandy-clay-a40);
  border: 1px solid var(--sandy-clay);
  border-radius: 50%;
}

.option-btn.selected > .option-letter {
  background-color: var(--sandy-clay-ad0);
}

.option-input {
  font-family: var(--font-body);
  font-size: 1.25rem;
  padding: 0.375rem 0.875rem;
  background-color: white;
  border: 1px solid var(--sandy-clay);
  border-radius: 99rem;
  outline: none;
}

.apply-btn-container {
  transition-delay: 0.4s;
}

.apply-step.no-delay .apply-input, .apply-step.no-delay .apply-btn-container, .apply-step.no-delay .apply-fieldset {
  transition-delay: 0s;
}

.apply-question, .apply-input, .apply-fieldset, .apply-btn-container {
  transform: translateY(3rem);
  opacity: 0;
}

.apply-start-btn {
  transform: translateY(0);
  opacity: 1;
}

.apply-step.show .apply-question, .apply-step.show .apply-input,
.apply-step.show .apply-fieldset, .apply-step.show .apply-btn-container {
  transform: translateY(0rem);
  opacity: 1;
}

.apply-step.hide {
  transform: translateY(-3rem);
  opacity: 0;
}

/**
 * =======================================
 * Touch-only queries
 * =======================================
 */

@media (pointer: coarse) and (hover: none) {
  .apply-key {
    display: none;
  }
}

/**
 * =======================================
 * Media queries
 * =======================================
 */

/* width >= 400px */
@media (min-width: 25rem) {
}

/* width >= 640px */
@media (min-width: 40rem) {
  .logo-container {
    top: 1.5rem;
    padding-top: 0.5rem;
    padding-left: 2rem;
    padding-bottom: 0.75rem;
  }

  #apply-progress {
    padding: 0.75rem 2rem;
  }

  #apply-controls {
    left: auto;
    padding: 1.25rem;
    flex-direction: row;
    align-items: center;
    gap: 0.75rem;
    background: none;
  }

  .control-sm {
    display: none;
  }

  .control-lg {
    display: flex;
  }

  .apply-control-btns {
    width: auto;
    gap: 0.125rem;
  }

  .apply-powered-by {
    font-size: 0.85rem;
    background-color: var(--sandy-clay);
    height: 2.25rem;
    padding: 0.5rem 1rem;
    border-radius: 99rem;
  }

  .apply-intro-text-inner {
    padding: 2rem;
  }

  .apply-subtitle {
    font-size: 1.25rem;
  }

  .apply-step {
    width: 32rem;
    padding: 1rem;
  }

  .apply-question {
    flex-direction: row;
  }

  .question-number-container {
    position: absolute;
    transform: translateX(-100%);
    padding-right: 1rem;
    padding-top: 0.1725rem;
  }

  .apply-btn-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
  }
}

/* width >= 768px */
@media (min-width: 48rem) {
  #apply-form {
    padding: 2rem 3rem;
  }

  .progress-bar {
    height: 0.5rem;
    margin: 0;
  }
}

/* width >= 1024px */
@media (min-width: 64rem) {
  .logo-container {
    top: 2rem;
    padding-top: 0.5rem;
    padding-left: 3rem;
    padding-bottom: 0.75rem;
  }

  .logo {
    height: 1.5rem;
  }

  #apply-progress {
    padding: 0.75rem 3rem;
  }

  #apply.start .apply-intro-text {
    transform: translateY(-5rem);
    opacity: 0;
  }

  #apply.start .apply-intro-img-container {
    transform: translateX(100%);
  }

  #apply-intro {
    flex-direction: row;
  }

  .apply-intro-text {
    width: auto;
    flex: 1 0 0;
  }

  .apply-intro-text-inner {
    padding: 3rem;
  }

  .apply-intro-img-container {
    width: auto;
    flex: 1 0 0;
  }

  .apply-step {
    width: 44rem;
  }

  .question-text {
    font-size: 1.75rem;
  }

  .question-subtext {
    font-size: 1.25rem;
  }

  .apply-input, .apply-textarea {
    font-size: 1.75rem;
  }

  .option-group {
    flex-wrap: wrap;
    max-height: 20.5rem;
  }

  .option-btn {
    font-size: 1.5rem;
  }

  .option-letter {
    font-size: 0.9rem;
  }
}

/* width >= 1280px */
@media (min-width: 80rem) {
  .logo-container {
    padding-left: 4rem;
  }

  #apply-form {
    padding: 2rem 4rem;
  }

  #apply-progress {
    padding: 0.75rem 4rem;
  }

  .apply-intro-text-inner {
    padding: 4rem;
  }

  .apply-subtitle {
    font-size: 1.5rem;
  }

  .apply-step {
    width: 50rem;
  }
}

/* width >= 1536px */
@media (min-width: 96rem) {
}

/* width >= 1920px */
@media (min-width: 120rem) {
}
